PostgreSQL 7.1.3 Documentation
Prev |  | Next

# DROP SEQUENCE

## Name

DROP SEQUENCE -- Removes existing sequences from a database

## Synopsis

    DROP SEQUENCE name [, ...]

### Inputs

`name`

  The name of a sequence.

### Outputs

`DROP`

  The message returned if the sequence is successfully dropped.

`ERROR: sequence "`name`" does not exist`

  This message occurs if the specified sequence does not exist.

## Description

DROP SEQUENCE removes sequence number generators from the data base. With the current implementation of sequences as special tables it works just like the DROP TABLE statement.

### Notes

The DROP SEQUENCE statement is a Postgres language extension.

Refer to the CREATE SEQUENCE statement for information on how to create a sequence.

## Usage

To remove sequence `serial` from database:

    DROP SEQUENCE serial;

## Compatibility

### SQL92

There is no DROP SEQUENCE in SQL92.

Prev | Home | Next
DROP RULE | Up | DROP TABLE